import { ElementRef, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { TableData } from '../table-data';
import { Overlay, OverlayRef } from '@angular/cdk/overlay';
export declare class MatMultiSortTableSettingsComponent implements OnInit {
    private overlay;
    private viewContainerRef;
    _tableData: TableData<any>;
    sort: any[];
    overlayRef: OverlayRef;
    private templateRef;
    buttonRef: ElementRef;
    sortIndicatorRef: TemplateRef<any>;
    sortToolTip: string;
    closeDialogOnChoice: boolean;
    set tableData(tableData: TableData<any>);
    constructor(overlay: Overlay, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    openDialog(): void;
    drop(event: CdkDragDrop<string[]>): void;
    toggle(): void;
    dropSort(event: CdkDragDrop<string[]>): void;
    getSort(): {
        id: string;
        name: string;
        direction: string;
    }[];
    remove(id: string): void;
    updateDirection(id: string): void;
    private updateSort;
}
